<?xml version="1.0" encoding="UTF-8"?>
<testsuite xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://maven.apache.org/surefire/maven-surefire-plugin/xsd/surefire-test-report-3.0.xsd" version="3.0" name="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportCompositeKeyTest$CRUDOneToOne" time="0.051" tests="4" errors="0" skipped="0" failures="0">
  <properties>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="java.vm.vendor" value="Private Build"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="os.name" value="Linux"/>
    <property name="user.country" value="FR"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64"/>
    <property name="sun.java.command" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar /jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire 2026-05-19T05-30-38_739-jvmRun1 surefire-20260519053109587_108tmp surefire_4-20260519053109587_109tmp"/>
    <property name="surefire.test.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="user.home" value="/var/lib/jenkins"/>
    <property name="user.language" value="fr"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre"/>
    <property name="basedir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="file.separator" value="/"/>
    <property name="line.separator" value="&#10;"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="surefire.real.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar:/var/lib/jenkins/.m2/repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar"/>
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="java.runtime.version" value="1.8.0_482-8u482-ga~us1-0ubuntu1~24.04-b08"/>
    <property name="user.name" value="jenkins"/>
    <property name="path.separator" value=":"/>
    <property name="os.version" value="6.8.0-107-generic"/>
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed"/>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="localRepository" value="/var/lib/jenkins/.m2/repository"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="java.version" value="1.8.0_482"/>
    <property name="user.dir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="java.vendor" value="Private Build"/>
    <property name="java.vm.version" value="25.482-b08"/>
    <property name="java.specification.maintenance.version" value="6"/>
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.class.version" value="52.0"/>
  </properties>
  <testcase name="compositeToSingleKey_ownedBySource" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportCompositeKeyTest$CRUDOneToOne" time="0.011">
    <system-out><![CDATA[2026-05-19 05:31:23	DEBUG	DDLDeployer	create table House(id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, unique (id))
2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Person(age integer not null, firstName varchar(255) not null, lastName varchar(255) not null, address varchar(255) not null, houseId bigint, unique (firstName, lastName, address))
2026-05-19 05:31:23	DEBUG	DDLDeployer	alter table Person add constraint FK_Person_houseId_House_id foreign key(houseId) references House(id)
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into House(id) values (default) | {1={}}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into Person(age, firstName, lastName, address, houseId) values (?, ?, ?, ?, ?) | {1={Person.age=35, Person.houseId=1, Person.lastName=Do, Person.firstName=John, Person.address=nowhere}}
2026-05-19 05:31:23	DEBUG	SimpleRelationalEntityPersister	selecting entities [PersonId{firstName='John', lastName='Do', address='nowhere'}]
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age as Person_age, Person.firstName as Person_firstName, Person.lastName as Person_lastName, Person.address as Person_address, house.id as house_id from Person left outer join House as house on Person.houseId = house.id where (Person.firstName, Person.lastName, Person.address) in ((?, ?, ?)) | {1=John, 2=Do, 3=nowhere}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.c.Person
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.c.Person#PersonId{firstName='John', lastName='Do', address='nowhere'}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	update Person set age = ?, houseId = ? where firstName = ? and lastName = ? and address = ? | {1={Person.age (U)=36, Person.houseId (U)=1, Person.lastName (W)=Do, Person.firstName (W)=John, Person.address (W)=nowhere}}
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age from Person | {}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Person where firstName = ? and lastName = ? and address = ? | {1={Person.lastName=Do, Person.firstName=John, Person.address=nowhere}}
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age from Person | {}
]]></system-out>
  </testcase>
  <testcase name="compositeToSingleKey_ownedByTarget" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportCompositeKeyTest$CRUDOneToOne" time="0.012">
    <system-out><![CDATA[2026-05-19 05:31:23	DEBUG	DDLDeployer	create table House(id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, ownerFirstName varchar(255), ownerLastName varchar(255), ownerAddress varchar(255), unique (id))
2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Person(age integer not null, firstName varchar(255) not null, lastName varchar(255) not null, address varchar(255) not null, unique (firstName, lastName, address))
2026-05-19 05:31:23	DEBUG	DDLDeployer	alter table House add constraint FK_a240422 foreign key(ownerFirstName, ownerLastName, ownerAddress) references Person(firstName, lastName, address)
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into Person(age, firstName, lastName, address) values (?, ?, ?, ?) | {1={Person.address=nowhere, Person.firstName=John, Person.lastName=Do, Person.age=35}}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into House(id, ownerAddress, ownerFirstName, ownerLastName) values (default, ?, ?, ?) | {1={House.ownerFirstName=John, House.ownerLastName=Do, House.ownerAddress=nowhere}}
2026-05-19 05:31:23	DEBUG	SimpleRelationalEntityPersister	selecting entities [PersonId{firstName='John', lastName='Do', address='nowhere'}]
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age as Person_age, Person.firstName as Person_firstName, Person.lastName as Person_lastName, Person.address as Person_address, house.id as house_id from Person left outer join House as house on Person.firstName = house.ownerFirstName and Person.lastName = house.ownerLastName and Person.address = house.ownerAddress where (Person.firstName, Person.lastName, Person.address) in ((?, ?, ?)) | {1=John, 2=Do, 3=nowhere}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.c.Person
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.c.Person#PersonId{firstName='John', lastName='Do', address='nowhere'}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	update Person set age = ? where firstName = ? and lastName = ? and address = ? | {1={Person.address (W)=nowhere, Person.firstName (W)=John, Person.lastName (W)=Do, Person.age (U)=36}}
2026-05-19 05:31:23	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:23	TRACE	SQLOperation	select House.id as House_id from House where House.id in (?) | {1=1}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.c.House
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	update House set ownerAddress = ?, ownerFirstName = ?, ownerLastName = ? where id = ? | {1={House.ownerFirstName (U)=John, House.ownerLastName (U)=Do, House.ownerAddress (U)=nowhere, House.id (W)=1}}
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age from Person | {}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	update House set ownerAddress = ?, ownerFirstName = ?, ownerLastName = ? where id = ? | {1={House.ownerFirstName (U)=null, House.ownerLastName (U)=null, House.ownerAddress (U)=null, House.id (W)=1}}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Person where firstName = ? and lastName = ? and address = ? | {1={Person.address=nowhere, Person.firstName=John, Person.lastName=Do}}
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age from Person | {}
]]></system-out>
  </testcase>
  <testcase name="compositeToCompositeKey_ownedBySource" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportCompositeKeyTest$CRUDOneToOne" time="0.013">
    <system-out><![CDATA[2026-05-19 05:31:23	DEBUG	DDLDeployer	create table House(number integer not null, street varchar(255) not null, zipCode varchar(255) not null, city varchar(255) not null, unique (number, street, zipCode, city))
2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Person(age integer not null, firstName varchar(255) not null, lastName varchar(255) not null, address varchar(255) not null, houseNumber integer, houseStreet varchar(255), houseZipCode varchar(255), houseCity varchar(255), unique (firstName, lastName, address))
2026-05-19 05:31:23	DEBUG	DDLDeployer	alter table Person add constraint FK_8b87d9bd foreign key(houseNumber, houseStreet, houseZipCode, houseCity) references House(number, street, zipCode, city)
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into House(number, street, zipCode, city) values (?, ?, ?, ?) | {1={House.zipCode=888, House.city=CodeFilarete City, House.street=Stalactite street, House.number=42}}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into Person(age, firstName, lastName, address, houseZipCode, houseNumber, houseCity, houseStreet) values (?, ?, ?, ?, ?, ?, ?, ?) | {1={Person.lastName=Do, Person.houseZipCode=888, Person.age=35, Person.houseNumber=42, Person.houseCity=CodeFilarete City, Person.address=nowhere, Person.houseStreet=Stalactite street, Person.firstName=John}}
2026-05-19 05:31:23	DEBUG	SimpleRelationalEntityPersister	selecting entities [PersonId{firstName='John', lastName='Do', address='nowhere'}]
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age as Person_age, Person.firstName as Person_firstName, Person.lastName as Person_lastName, Person.address as Person_address, house.number as house_number, house.street as house_street, house.zipCode as house_zipCode, house.city as house_city from Person left outer join House as house on Person.houseNumber = house.number and Person.houseStreet = house.street and Person.houseZipCode = house.zipCode and Person.houseCity = house.city where (Person.firstName, Person.lastName, Person.address) in ((?, ?, ?)) | {1=John, 2=Do, 3=nowhere}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.c.Person
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.c.Person#PersonId{firstName='John', lastName='Do', address='nowhere'}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	update Person set age = ?, houseZipCode = ?, houseNumber = ?, houseCity = ?, houseStreet = ? where firstName = ? and lastName = ? and address = ? | {1={Person.lastName (W)=Do, Person.houseZipCode (U)=888, Person.age (U)=36, Person.houseNumber (U)=42, Person.houseCity (U)=CodeFilarete City, Person.address (W)=nowhere, Person.houseStreet (U)=Stalactite street, Person.firstName (W)=John}}
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age from Person | {}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Person where firstName = ? and lastName = ? and address = ? | {1={Person.lastName=Do, Person.address=nowhere, Person.firstName=John}}
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age from Person | {}
]]></system-out>
  </testcase>
  <testcase name="compositeToCompositeKey_ownedByTarget" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportCompositeKeyTest$CRUDOneToOne" time="0.014">
    <system-out><![CDATA[2026-05-19 05:31:23	DEBUG	DDLDeployer	create table House(number integer not null, street varchar(255) not null, zipCode varchar(255) not null, city varchar(255) not null, ownerFirstName varchar(255), ownerLastName varchar(255), ownerAddress varchar(255), unique (number, street, zipCode, city))
2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Person(age integer not null, firstName varchar(255) not null, lastName varchar(255) not null, address varchar(255) not null, unique (firstName, lastName, address))
2026-05-19 05:31:23	DEBUG	DDLDeployer	alter table House add constraint FK_a240422 foreign key(ownerFirstName, ownerLastName, ownerAddress) references Person(firstName, lastName, address)
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into Person(age, firstName, lastName, address) values (?, ?, ?, ?) | {1={Person.lastName=Do, Person.age=35, Person.address=nowhere, Person.firstName=John}}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into House(number, street, zipCode, city, ownerAddress, ownerLastName, ownerFirstName) values (?, ?, ?, ?, ?, ?, ?) | {1={House.city=CodeFilarete City, House.ownerAddress=nowhere, House.ownerLastName=Do, House.street=Stalactite street, House.zipCode=888, House.number=42, House.ownerFirstName=John}}
2026-05-19 05:31:23	DEBUG	SimpleRelationalEntityPersister	selecting entities [PersonId{firstName='John', lastName='Do', address='nowhere'}]
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age as Person_age, Person.firstName as Person_firstName, Person.lastName as Person_lastName, Person.address as Person_address, house.number as house_number, house.street as house_street, house.zipCode as house_zipCode, house.city as house_city from Person left outer join House as house on Person.firstName = house.ownerFirstName and Person.lastName = house.ownerLastName and Person.address = house.ownerAddress where (Person.firstName, Person.lastName, Person.address) in ((?, ?, ?)) | {1=John, 2=Do, 3=nowhere}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.c.Person
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.c.Person#PersonId{firstName='John', lastName='Do', address='nowhere'}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	update Person set age = ? where firstName = ? and lastName = ? and address = ? | {1={Person.lastName (W)=Do, Person.age (U)=36, Person.address (W)=nowhere, Person.firstName (W)=John}}
2026-05-19 05:31:23	DEBUG	SimpleRelationalEntityPersister	selecting entities [HouseId{number=42, street='Stalactite street', zipCode='888', city='CodeFilarete City'}]
2026-05-19 05:31:23	TRACE	SQLOperation	select House.number as House_number, House.street as House_street, House.zipCode as House_zipCode, House.city as House_city from House where (House.number, House.street, House.zipCode, House.city) in ((?, ?, ?, ?)) | {1=42, 2=Stalactite street, 3=888, 4=CodeFilarete City}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.c.House
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	update House set ownerAddress = ?, ownerLastName = ?, ownerFirstName = ? where number = ? and street = ? and zipCode = ? and city = ? | {1={House.city (W)=CodeFilarete City, House.ownerAddress (U)=nowhere, House.ownerLastName (U)=Do, House.street (W)=Stalactite street, House.zipCode (W)=888, House.number (W)=42, House.ownerFirstName (U)=John}}
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age from Person | {}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	update House set ownerAddress = ?, ownerLastName = ?, ownerFirstName = ? where number = ? and street = ? and zipCode = ? and city = ? | {1={House.city (W)=CodeFilarete City, House.ownerAddress (U)=null, House.ownerLastName (U)=null, House.street (W)=Stalactite street, House.zipCode (W)=888, House.number (W)=42, House.ownerFirstName (U)=null}}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Person where firstName = ? and lastName = ? and address = ? | {1={Person.lastName=Do, Person.address=nowhere, Person.firstName=John}}
2026-05-19 05:31:23	TRACE	SQLOperation	select Person.age from Person | {}
]]></system-out>
  </testcase>
</testsuite>